<?php

use yii\db\Migration;

/**
 * Handles the creation of table `{{%category}}`.
 */
class m260218_171857_create_category_table extends Migration
{
    public function safeUp()
    {
        $this->createTable('category', [
            'id' => $this->primaryKey(),
            'name' => $this->string()->notNull(),
        ]);

        // Вставляем категории из ТЗ
        $this->batchInsert('category', ['name'], [
            ['Молочная продукция'],
            ['Мясная продукция'],
            ['Варенье'],
            ['Мёд'],
            ['Овощи'],
            ['Фрукты'],
        ]);
    }

    public function safeDown()
    {
        $this->dropTable('category');
    }
}